Bug 165611 - www/emacs-w3m is broken with "WITHOUT_SHIMBUN"
www/emacs-w3m is broken with "WITHOUT_SHIMBUN"
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: MANTANI Nobutaka
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 06:40 UTC by freebsd
Modified: 2012-03-12 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (359 bytes, patch)
2012-03-02 06:40 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-03-02 06:40:09 UTC
When you try to compile www/emacs-w3m with "WITHOUT_SHIMBUN" set, it fails.

How-To-Repeat: /usr/ports/www/emacs-w3m$ sudo make
===>  License GPLv2 accepted by the user
===>  Extracting for emacs-w3m-emacs23-1.4.423.b.20101224_4
=> SHA256 Checksum OK for emacs-w3m-1.4.423-20101224.tar.bz2.
===>  Patching for emacs-w3m-emacs23-1.4.423.b.20101224_4
===>  Applying extra patch /usr/ports/www/emacs-w3m/files/extra-patch-Makefile.in
cannot open /usr/ports/www/emacs-w3m/files/extra-patch-Makefile.in: No such file or directory*** Error code 2
Stop in /usr/ports/www/emacs-w3m.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-02 06:40:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-03-12 15:51:43 UTC
nobutaka    2012-03-12 15:51:15 UTC

  FreeBSD ports repository

  Modified files:
    www/emacs-w3m        Makefile distinfo 
    www/emacs-w3m/files  extra-patch-aclocal.m4 patch-Makefile.in 
    www/emacs-w3m-xemacs21-mule Makefile pkg-plist 
  Added files:
    www/emacs-w3m/files  extra-patch-Makefile.in 
  Log:
  Update to 1.4.471 CVS snapshot on 2012/03/06.
  Set correct INSTALL_TARGET for emacs-devel. [1]
  Fix build error with WITHOUT_SHIMBUN=yes. [2]
  
  PR:             ports/165611 [2]
  Submitted by:   John Hein <jhein@symmetricom.com> [1], Seiji Ariga <freebsd@khaotic.net> [2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.14      +2 -0      ports/www/emacs-w3m-xemacs21-mule/Makefile
  1.10      +1 -0      ports/www/emacs-w3m-xemacs21-mule/pkg-plist
  1.55      +9 -11     ports/www/emacs-w3m/Makefile
  1.25      +2 -2      ports/www/emacs-w3m/distinfo
  1.3       +17 -0     ports/www/emacs-w3m/files/extra-patch-Makefile.in (new)
  1.2       +4 -4      ports/www/emacs-w3m/files/extra-patch-aclocal.m4
  1.6       +9 -13     ports/www/emacs-w3m/files/patch-Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 MANTANI Nobutaka freebsd_committer 2012-03-12 15:53:03 UTC
State Changed
From-To: open->closed

Fixed, thanks!